Listar transações
curl --request GET \
--url https://gateway.staging.azentech.dev/api/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"id": "10000000-0000-4000-8000-000000000001",
"merchant_id": "20000000-0000-4000-8000-000000000001",
"user_id": "30000000-0000-4000-8000-000000000001",
"processor_id": "40000000-0000-4000-8000-000000000001",
"merchant_transaction_id": "50000000-0000-4000-8000-000000000001",
"transaction_type": "pix",
"first_name": "Cliente",
"last_name": "Exemplo",
"email": "cliente@example.com",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00",
"events": [
{
"id": "60000000-0000-4000-8000-000000000001",
"success": true,
"status": "success",
"event_type": "auth",
"amount": "125.90",
"ip_address": "192.0.2.10",
"processor_code": null,
"processor_message": null,
"processor_transaction_id": "sandbox-event-1001",
"batch_id": null,
"qrcode": "00020101021226850014br.gov.bcb.pix2563example.invalid/pix/1001",
"pix_key_type": null,
"pix_key_value": null,
"pix_message": "Deposito para: CONTA DEMO",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00"
}
],
"document_number": "12345678909",
"status": "pending",
"flow_type": "cashin",
"error": null,
"e2e_id": null,
"source": "player",
"transaction_repay_id": null
}
],
"meta": {
"last_page": 1,
"current_page": 1,
"total": 1
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}Transações
Listar transações
Lista transações do estabelecimento com filtros e paginação.
GET
/
api
/
transactions
Listar transações
curl --request GET \
--url https://gateway.staging.azentech.dev/api/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"id": "10000000-0000-4000-8000-000000000001",
"merchant_id": "20000000-0000-4000-8000-000000000001",
"user_id": "30000000-0000-4000-8000-000000000001",
"processor_id": "40000000-0000-4000-8000-000000000001",
"merchant_transaction_id": "50000000-0000-4000-8000-000000000001",
"transaction_type": "pix",
"first_name": "Cliente",
"last_name": "Exemplo",
"email": "cliente@example.com",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00",
"events": [
{
"id": "60000000-0000-4000-8000-000000000001",
"success": true,
"status": "success",
"event_type": "auth",
"amount": "125.90",
"ip_address": "192.0.2.10",
"processor_code": null,
"processor_message": null,
"processor_transaction_id": "sandbox-event-1001",
"batch_id": null,
"qrcode": "00020101021226850014br.gov.bcb.pix2563example.invalid/pix/1001",
"pix_key_type": null,
"pix_key_value": null,
"pix_message": "Deposito para: CONTA DEMO",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00"
}
],
"document_number": "12345678909",
"status": "pending",
"flow_type": "cashin",
"error": null,
"e2e_id": null,
"source": "player",
"transaction_repay_id": null
}
],
"meta": {
"last_page": 1,
"current_page": 1,
"total": 1
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}Comportamento observado
- Envie
limitepageno nível superior da query.search[limit]esearch[page]são ignorados pelo paginador. merchant_transaction_idusa igualdade.card_numberusa busca por ocorrência. Nome, sobrenome, email, telefone, cidade e cidade de entrega usam prefixo.- As chaves de data aceitam os sufixos
_gt,_gte,_lte_ltedentro desearch.
Os exemplos usam identificadores e credenciais sintéticos. Os resultados do processador dependem do credenciamento e da configuração do estabelecimento.
Authorizations
Token de acesso fornecido para o estabelecimento.
Query Parameters
Filtro merchant_transaction_id.
Filtro card_number.
Filtro first_name.
Filtro last_name.
Filtro email.
Filtro mobile_phone.
Filtro user_id.
Filtro city.
Filtro state.
Filtro zip.
Filtro document_number.
Filtro shipping_city.
Filtro shipping_state.
Filtro shipping_zip.
Filtro created_at_gt.
Filtro created_at_gte.
Filtro created_at_lt.
Filtro created_at_lte.
Filtro updated_at_gt.
Filtro updated_at_gte.
Filtro updated_at_lt.
Filtro updated_at_lte.
Filtro transaction_type.
Filtro status.
Filtro flow_type.
Filtro source.
Itens por página. O padrão é 50.
Required range:
x >= 1Página solicitada.
Required range:
x >= 1